﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ClinicaLTS
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="School")]
	public partial class LinqToSqlDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Definiciones de métodos de extensibilidad
    partial void OnCreated();
    partial void InsertPaciente(Paciente instance);
    partial void UpdatePaciente(Paciente instance);
    partial void DeletePaciente(Paciente instance);
    partial void InsertPlaca(Placa instance);
    partial void UpdatePlaca(Placa instance);
    partial void DeletePlaca(Placa instance);
    #endregion
		
		public LinqToSqlDataContext() : 
				base(global::ClinicaLTS.Properties.Settings.Default.SchoolConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public LinqToSqlDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public LinqToSqlDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public LinqToSqlDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public LinqToSqlDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<Paciente> Paciente
		{
			get
			{
				return this.GetTable<Paciente>();
			}
		}
		
		public System.Data.Linq.Table<Placa> Placa
		{
			get
			{
				return this.GetTable<Placa>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Paciente")]
	public partial class Paciente : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _CodigoCorrelativo;
		
		private int _CodigoOA;
		
		private string _NombreCompleto;
		
		private string _Email;
		
		private string _Celular;
		
		private string _Medico;
		
		private string _Aseguradora;
		
		private string _Procedencia;
		
		private string _Examen;
		
		private string _Estado;
		
		private string _FechaSolicitud;
		
		private System.Nullable<int> _Edad;
		
		private string _Imagen;
		
		private string _Informe;
		
		private EntitySet<Placa> _Placa;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnCodigoCorrelativoChanging(int value);
    partial void OnCodigoCorrelativoChanged();
    partial void OnCodigoOAChanging(int value);
    partial void OnCodigoOAChanged();
    partial void OnNombreCompletoChanging(string value);
    partial void OnNombreCompletoChanged();
    partial void OnEmailChanging(string value);
    partial void OnEmailChanged();
    partial void OnCelularChanging(string value);
    partial void OnCelularChanged();
    partial void OnMedicoChanging(string value);
    partial void OnMedicoChanged();
    partial void OnAseguradoraChanging(string value);
    partial void OnAseguradoraChanged();
    partial void OnProcedenciaChanging(string value);
    partial void OnProcedenciaChanged();
    partial void OnExamenChanging(string value);
    partial void OnExamenChanged();
    partial void OnEstadoChanging(string value);
    partial void OnEstadoChanged();
    partial void OnFechaSolicitudChanging(string value);
    partial void OnFechaSolicitudChanged();
    partial void OnEdadChanging(System.Nullable<int> value);
    partial void OnEdadChanged();
    partial void OnImagenChanging(string value);
    partial void OnImagenChanged();
    partial void OnInformeChanging(string value);
    partial void OnInformeChanged();
    #endregion
		
		public Paciente()
		{
			this._Placa = new EntitySet<Placa>(new Action<Placa>(this.attach_Placa), new Action<Placa>(this.detach_Placa));
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoCorrelativo", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int CodigoCorrelativo
		{
			get
			{
				return this._CodigoCorrelativo;
			}
			set
			{
				if ((this._CodigoCorrelativo != value))
				{
					this.OnCodigoCorrelativoChanging(value);
					this.SendPropertyChanging();
					this._CodigoCorrelativo = value;
					this.SendPropertyChanged("CodigoCorrelativo");
					this.OnCodigoCorrelativoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoOA", DbType="Int NOT NULL")]
		public int CodigoOA
		{
			get
			{
				return this._CodigoOA;
			}
			set
			{
				if ((this._CodigoOA != value))
				{
					this.OnCodigoOAChanging(value);
					this.SendPropertyChanging();
					this._CodigoOA = value;
					this.SendPropertyChanged("CodigoOA");
					this.OnCodigoOAChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NombreCompleto", DbType="NVarChar(50)")]
		public string NombreCompleto
		{
			get
			{
				return this._NombreCompleto;
			}
			set
			{
				if ((this._NombreCompleto != value))
				{
					this.OnNombreCompletoChanging(value);
					this.SendPropertyChanging();
					this._NombreCompleto = value;
					this.SendPropertyChanged("NombreCompleto");
					this.OnNombreCompletoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Email", DbType="NVarChar(50)")]
		public string Email
		{
			get
			{
				return this._Email;
			}
			set
			{
				if ((this._Email != value))
				{
					this.OnEmailChanging(value);
					this.SendPropertyChanging();
					this._Email = value;
					this.SendPropertyChanged("Email");
					this.OnEmailChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Celular", DbType="NVarChar(50)")]
		public string Celular
		{
			get
			{
				return this._Celular;
			}
			set
			{
				if ((this._Celular != value))
				{
					this.OnCelularChanging(value);
					this.SendPropertyChanging();
					this._Celular = value;
					this.SendPropertyChanged("Celular");
					this.OnCelularChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Medico", DbType="NVarChar(50)")]
		public string Medico
		{
			get
			{
				return this._Medico;
			}
			set
			{
				if ((this._Medico != value))
				{
					this.OnMedicoChanging(value);
					this.SendPropertyChanging();
					this._Medico = value;
					this.SendPropertyChanged("Medico");
					this.OnMedicoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Aseguradora", DbType="NVarChar(50)")]
		public string Aseguradora
		{
			get
			{
				return this._Aseguradora;
			}
			set
			{
				if ((this._Aseguradora != value))
				{
					this.OnAseguradoraChanging(value);
					this.SendPropertyChanging();
					this._Aseguradora = value;
					this.SendPropertyChanged("Aseguradora");
					this.OnAseguradoraChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Procedencia", DbType="NVarChar(50)")]
		public string Procedencia
		{
			get
			{
				return this._Procedencia;
			}
			set
			{
				if ((this._Procedencia != value))
				{
					this.OnProcedenciaChanging(value);
					this.SendPropertyChanging();
					this._Procedencia = value;
					this.SendPropertyChanged("Procedencia");
					this.OnProcedenciaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Examen", DbType="NVarChar(50)")]
		public string Examen
		{
			get
			{
				return this._Examen;
			}
			set
			{
				if ((this._Examen != value))
				{
					this.OnExamenChanging(value);
					this.SendPropertyChanging();
					this._Examen = value;
					this.SendPropertyChanged("Examen");
					this.OnExamenChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Estado", DbType="NVarChar(50)")]
		public string Estado
		{
			get
			{
				return this._Estado;
			}
			set
			{
				if ((this._Estado != value))
				{
					this.OnEstadoChanging(value);
					this.SendPropertyChanging();
					this._Estado = value;
					this.SendPropertyChanged("Estado");
					this.OnEstadoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_FechaSolicitud", DbType="NVarChar(50)")]
		public string FechaSolicitud
		{
			get
			{
				return this._FechaSolicitud;
			}
			set
			{
				if ((this._FechaSolicitud != value))
				{
					this.OnFechaSolicitudChanging(value);
					this.SendPropertyChanging();
					this._FechaSolicitud = value;
					this.SendPropertyChanged("FechaSolicitud");
					this.OnFechaSolicitudChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Edad", DbType="Int")]
		public System.Nullable<int> Edad
		{
			get
			{
				return this._Edad;
			}
			set
			{
				if ((this._Edad != value))
				{
					this.OnEdadChanging(value);
					this.SendPropertyChanging();
					this._Edad = value;
					this.SendPropertyChanged("Edad");
					this.OnEdadChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Imagen", DbType="NVarChar(50)")]
		public string Imagen
		{
			get
			{
				return this._Imagen;
			}
			set
			{
				if ((this._Imagen != value))
				{
					this.OnImagenChanging(value);
					this.SendPropertyChanging();
					this._Imagen = value;
					this.SendPropertyChanged("Imagen");
					this.OnImagenChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Informe", DbType="NVarChar(50)")]
		public string Informe
		{
			get
			{
				return this._Informe;
			}
			set
			{
				if ((this._Informe != value))
				{
					this.OnInformeChanging(value);
					this.SendPropertyChanging();
					this._Informe = value;
					this.SendPropertyChanged("Informe");
					this.OnInformeChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Paciente_Placa", Storage="_Placa", ThisKey="CodigoCorrelativo", OtherKey="CodigoCorrelativoPaciente")]
		public EntitySet<Placa> Placa
		{
			get
			{
				return this._Placa;
			}
			set
			{
				this._Placa.Assign(value);
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_Placa(Placa entity)
		{
			this.SendPropertyChanging();
			entity.Paciente = this;
		}
		
		private void detach_Placa(Placa entity)
		{
			this.SendPropertyChanging();
			entity.Paciente = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Placa")]
	public partial class Placa : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _CodigoPlaca;
		
		private int _CodigoCorrelativoPaciente;
		
		private string _TipoPlaca;
		
		private string _Fecha;
		
		private EntityRef<Paciente> _Paciente;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnCodigoPlacaChanging(int value);
    partial void OnCodigoPlacaChanged();
    partial void OnCodigoCorrelativoPacienteChanging(int value);
    partial void OnCodigoCorrelativoPacienteChanged();
    partial void OnTipoPlacaChanging(string value);
    partial void OnTipoPlacaChanged();
    partial void OnFechaChanging(string value);
    partial void OnFechaChanged();
    #endregion
		
		public Placa()
		{
			this._Paciente = default(EntityRef<Paciente>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoPlaca", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int CodigoPlaca
		{
			get
			{
				return this._CodigoPlaca;
			}
			set
			{
				if ((this._CodigoPlaca != value))
				{
					this.OnCodigoPlacaChanging(value);
					this.SendPropertyChanging();
					this._CodigoPlaca = value;
					this.SendPropertyChanged("CodigoPlaca");
					this.OnCodigoPlacaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoCorrelativoPaciente", DbType="Int NOT NULL")]
		public int CodigoCorrelativoPaciente
		{
			get
			{
				return this._CodigoCorrelativoPaciente;
			}
			set
			{
				if ((this._CodigoCorrelativoPaciente != value))
				{
					if (this._Paciente.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnCodigoCorrelativoPacienteChanging(value);
					this.SendPropertyChanging();
					this._CodigoCorrelativoPaciente = value;
					this.SendPropertyChanged("CodigoCorrelativoPaciente");
					this.OnCodigoCorrelativoPacienteChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_TipoPlaca", DbType="NVarChar(50)")]
		public string TipoPlaca
		{
			get
			{
				return this._TipoPlaca;
			}
			set
			{
				if ((this._TipoPlaca != value))
				{
					this.OnTipoPlacaChanging(value);
					this.SendPropertyChanging();
					this._TipoPlaca = value;
					this.SendPropertyChanged("TipoPlaca");
					this.OnTipoPlacaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Fecha", DbType="NVarChar(50)")]
		public string Fecha
		{
			get
			{
				return this._Fecha;
			}
			set
			{
				if ((this._Fecha != value))
				{
					this.OnFechaChanging(value);
					this.SendPropertyChanging();
					this._Fecha = value;
					this.SendPropertyChanged("Fecha");
					this.OnFechaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Paciente_Placa", Storage="_Paciente", ThisKey="CodigoCorrelativoPaciente", OtherKey="CodigoCorrelativo", IsForeignKey=true)]
		public Paciente Paciente
		{
			get
			{
				return this._Paciente.Entity;
			}
			set
			{
				Paciente previousValue = this._Paciente.Entity;
				if (((previousValue != value) 
							|| (this._Paciente.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._Paciente.Entity = null;
						previousValue.Placa.Remove(this);
					}
					this._Paciente.Entity = value;
					if ((value != null))
					{
						value.Placa.Add(this);
						this._CodigoCorrelativoPaciente = value.CodigoCorrelativo;
					}
					else
					{
						this._CodigoCorrelativoPaciente = default(int);
					}
					this.SendPropertyChanged("Paciente");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
#pragma warning restore 1591
